import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { LoginRoutingModule } from './login-routing.module';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import { AgentLoginComponent } from './agent-login/agent-login.component';
import { SalesmanLoginComponent } from './salesman-login/salesman-login.component';
import { MerchantLoginComponent } from './merchant-login/merchant-login.component';
import { StoreLoginComponent } from './store-login/store-login.component';
import { AdminLoginComponent } from './admin-login/admin-login.component';
import { LoginComponent } from './login/login.component';


@NgModule({
  declarations: [AgentLoginComponent, SalesmanLoginComponent, MerchantLoginComponent, StoreLoginComponent, AdminLoginComponent, LoginComponent],
  imports: [
    CommonModule,
    LoginRoutingModule,
    NgZorroAntdModule,
    ReactiveFormsModule,
    FormsModule,
  ]
})
export class LoginModule { }
