import { Component, OnInit } from '@angular/core';
import {MerService} from '../../../services/mer.service';
import {environment} from '../../../../environments/environment';
import {ActivatedRoute, Params} from '@angular/router';

@Component({
  selector: 'app-mer-detail',
  templateUrl: './mer-detail.component.html',
  styleUrls: ['./mer-detail.component.scss']
})
export class MerDetailComponent implements OnInit {

  previewVisible = false;
  previewImage;

  OBS_URL;
  dataObject = {
    merRegion: {},
    merIndustry: {},
    merContractFailMsg: {},
    merSettleAcct: {},
  };

  constructor(
      private activatedRoute: ActivatedRoute,
      private merService: MerService
  ) {
    this.OBS_URL =  environment.obsUrl;
  }

  ngOnInit(): void {
    this.activatedRoute.queryParams.subscribe((queryParams: Params) => {
      if (queryParams['merId'] != null && queryParams['merId'].length > 0) {
        this.merService.getMerDetail(queryParams['merId'], data => {
          if (data['return_code'] === '000000') {
            this.dataObject = data['return_data'];
            console.log(this.dataObject);
          }
        });
      }
    });
  }

  // 展示图片展示
  showPreview(url: string) {
    this.previewImage = url;
    this.previewVisible = true;
  }

  // 关闭图片展示
  closePreview() {
    this.previewImage = '';
    this.previewVisible = false;
  }

}
